 public class Obfuscator {
    private SimpleEncryptor encryptor;
    private SimpleObfuscator obfuscator;

    public Obfuscator(byte[] salt, byte[] key) {
        encryptor = new SimpleEncryptor(salt);
        obfuscator = new SimpleObfuscator(key);
    }


    public byte[] obfuscate(byte[] source) {
        return encryptor.encrypt(obfuscator.obfuscate(source));
    }

    public byte[] unobfuscate(byte[] source) {
            return obfuscator.unobfuscate(encryptor.decrypt(source));
    }
}
