import org.bouncycastle.crypto.digests.SHA256Digest;
import org.bouncycastle.crypto.generators.PKCS5S2ParametersGenerator;
import org.bouncycastle.crypto.params.KeyParameter;

import javax.crypto.*;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;
import java.nio.charset.Charset;
import java.security.InvalidAlgorithmParameterException;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;
import java.util.UUID;

/**
 * Created by spi-ca on 10/10/2016.
 */
public class Main {


    private static final Charset characterSetUtf8 = Charset.forName("UTF-8");

    private static final Charset characterSetAscii = Charset.forName("US-ASCII");


    public static void main(String[] args) {
        UUID target = UUID.fromString("abd91313-e6d6-45be-9913-13e6d6d5bef2");

        String secretKey = "WHc3zv6ZaWnnBz2XZwvhKWucwXWk3Tzz";
        String secretIv = "mRzpK5yUsLreMCTg";
        String salt = "vvgKbpRxzY8zC9LC";

        //PBKDF2WithHmacSHA256
        final PKCS5S2ParametersGenerator gen = new PKCS5S2ParametersGenerator(new SHA256Digest());
        gen.init(secretKey.getBytes(characterSetAscii), salt.getBytes(characterSetAscii), 2);
        final byte[] dk = ((KeyParameter) gen.generateDerivedParameters(256)).getKey();

        SecretKey secret = new SecretKeySpec(dk, "AES");
        try {
            Cipher cipher = Cipher.getInstance("AES/CBC/PKCS5Padding");
            cipher.init(Cipher.ENCRYPT_MODE, secret, new IvParameterSpec(secretIv.getBytes(characterSetAscii)));
            byte[] encrypted = cipher.doFinal(UUIDUtil.UUIDToBytes(target));

            System.out.printf("uuid : %s base58 : %s enc: %s \n",
                    target.toString(),
                    Base58.encode(UUIDUtil.UUIDToBytes(target)),
                    Base58.encode(encrypted)
            );

        } catch (InvalidKeyException | InvalidAlgorithmParameterException | NoSuchAlgorithmException | NoSuchPaddingException | BadPaddingException | IllegalBlockSizeException e) {
            e.printStackTrace();
        }

//        Cipher encryptor = CryptoUtil.cipherFactory(secretKey, secretIv, salt, Cipher.ENCRYPT_MODE);
    }
}
